{ pkgs, lib, config, ... }:
{
  config = {
    stylix.cursor = {
      package =
        pkgs.stdenv.mkDerivation {
          pname = "wii-pointer";
          version = "unstable-2024-03-31";
          src = pkgs.runCommand "wii-pointer" { } ''
            mkdir $out
            cd $out
            ${pkgs.p7zip}/bin/7z x ${pkgs.fetchurl {
              url = "https://files.primm.gay/extras/cursors/Wii/Linux%20Cursors.7z";
              hash = "sha256-1lFJrLYEyT1STLgK1YOpy/g4tgGk/ENnri5QjR0dMzo=";
            }}
          '';

          dontConfigure = true;
          dontBuild = true;
          dontFixup = true;

          installPhase = ''
            mkdir -p $out/share/icons
            cp -a Linux\ Cursor/Wii-Pointer $out/share/icons
          '';
        };
      name = "Wii-Pointer";
    };
  };
}
